### Method

# Gdk.Clipboard.read_async

#### Declaration [src]

    void
    gdk_clipboard_read_async (
      GdkClipboard* clipboard,
      const char** mime_types,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously requests an input stream to read the `clipboard`‘s contents from.

When the operation is finished `callback` will be called. You must then call `gdk_clipboard_read_finish()` to get the result of the operation.

The clipboard will choose the most suitable mime type from the given list to fulfill the request, preferring the ones listed first.

#### Parameters

`mime_types` | `const char**`
| a `NULL`-terminated array of mime types to choose from
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`io_priority` | `int`
| the I/O priority of the request
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore.
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| callback to call when the request is satisfied
`user_data` | `gpointer`
| the data to pass to callback function